## ros-noetic-tf2-2d 0.6.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(tf2_2d)

add_compile_options(-std=c++14)
add_compile_options(-Wall)
add_compile_options(-Werror)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  tf2
  tf2_geometry_msgs
)
find_package(Eigen3 REQUIRED)

catkin_package(
  INCLUDE_DIRS
    include
  CATKIN_DEPENDS
    roscpp
    tf2
    tf2_geometry_msgs
  DEPENDS
    EIGEN3
)

###########
## Build ##
###########

# Header-only package. Nothing to build.

#############
## Install ##
#############

# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)

  include_directories(
    include
    ${catkin_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS}
  )

  find_package(roslint REQUIRED)

  # Lint tests
  set(ROSLINT_CPP_OPTS "--filter=-build/c++11,-runtime/references")
  roslint_cpp()
  roslint_add_test()

  # Conversion Tests
  catkin_add_gtest(test_conversions
    test/test_conversions.cpp
  )
  add_dependencies(test_conversions
    ${catkin_EXPORTED_TARGETS}
  )
  target_link_libraries(test_conversions
    ${catkin_LIBRARIES}
  )

  # Rotation Tests
  catkin_add_gtest(test_rotation
    test/test_rotation.cpp
  )
  add_dependencies(test_rotation
    ${catkin_EXPORTED_TARGETS}
  )
  target_link_libraries(test_rotation
    ${catkin_LIBRARIES}
  )

  # Transform Tests
  catkin_add_gtest(test_transform
    test/test_transform.cpp
  )
  add_dependencies(test_transform
    ${catkin_EXPORTED_TARGETS}
  )
  target_link_libraries(test_transform
    ${catkin_LIBRARIES}
  )

  # Vector2 Tests
  catkin_add_gtest(test_vector2
    test/test_vector2.cpp
  )
  add_dependencies(test_vector2
    ${catkin_EXPORTED_TARGETS}
  )
  target_link_libraries(test_vector2
    ${catkin_LIBRARIES}
  )
endif()

=== debian/changelog ===
ros-noetic-tf2-2d (0.6.4-1buster) buster; urgency=high

  * Handling issue with tf2 circular dependency (#4 <https://github.com/locusrobotics/tf2_2d/issues/4>)
    * Handling issue with tf2 circular dependency and other warnings
  * Contributors: Tom Moore

 -- Stephen Williams <swilliams@locusrobotics.com>  Tue, 13 Jul 2021 23:00:00 -0000

ros-noetic-tf2-2d (0.6.3-1buster) buster; urgency=high

  * Fixing package license
  * Contributors: Tom Moore

 -- Stephen Williams <swilliams@locusrobotics.com>  Mon, 12 Jul 2021 23:00:00 -0000

ros-noetic-tf2-2d (0.6.2-1buster) buster; urgency=high

  * Fix test build issue in noetic
  * Contributors: Tom Moore

 -- Stephen Williams <swilliams@locusrobotics.com>  Sun, 11 Jul 2021 23:00:00 -0000

ros-noetic-tf2-2d (0.6.1-1buster) buster; urgency=high

  * Contributors: locus-services

 -- Stephen Williams <swilliams@locusrobotics.com>  Sat, 10 Jul 2021 23:00:00 -0000

ros-noetic-tf2-2d (0.6.0-1buster) buster; urgency=high

  * Contributors: locus-services

 -- Stephen Williams <swilliams@locusrobotics.com>  Thu, 01 Oct 2020 23:00:00 -0000

ros-noetic-tf2-2d (0.5.0-1buster) buster; urgency=high

  * License cleanup (#3 <https://github.com/locusrobotics/tf2_2d/issues/3>)
  * Contributors: Stephen Williams, locus-services

 -- Stephen Williams <swilliams@locusrobotics.com>  Thu, 11 Jul 2019 23:00:00 -0000

ros-noetic-tf2-2d (0.4.0-1buster) buster; urgency=high

  * Contributors: locus-services

 -- Stephen Williams <swilliams@locusrobotics.com>  Mon, 18 Mar 2019 00:00:00 -0000

ros-noetic-tf2-2d (0.3.0-1buster) buster; urgency=high

  * [RST-1548] transform covariance (#2 <https://github.com/locusrobotics/tf2_2d/issues/2>)
    * Added conversions to Eigen types
    * Added stream operators
    * Added some additional toMsg conversions using a non-tf2-standard signature
    * Added functions to transform SE2 covariance matrices
  * Tailor: Creating Jenkinsfile
  * Expanded readme
  * Renamed the Transform rotation value to 'yaw'
  * Moved into separate repo
  * Contributors: Stephen Williams, locus-services

 -- Stephen Williams <swilliams@locusrobotics.com>  Wed, 16 Jan 2019 00:00:00 -0000

ros-noetic-tf2-2d (0.2.0-1buster) buster; urgency=high

  * Adding tf_2d constructor overload from a standard tf transform
  * Contributors: Stephen Williams, Tom Moore

 -- Stephen Williams <swilliams@locusrobotics.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-noetic-tf2-2d (0.1.0-1buster) buster; urgency=high

  * Small trig cache optimization in the 'unrotate()' function
  * Added 2D geometry classes (vector, rotation, transform) and conversion functions in the style of the tf2 3D geometry classes
  * Contributors: Stephen Williams

 -- Stephen Williams <swilliams@locusrobotics.com>  Wed, 14 Feb 2018 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-tf2-2d
Section: misc
Priority: optional
Maintainer: Stephen Williams <swilliams@locusrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-noetic-catkin, ros-noetic-roscpp, ros-noetic-roslint, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-tf2-2d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-noetic-roscpp, ros-noetic-tf2, ros-noetic-tf2-geometry-msgs
Description: A set of 2D geometry classes modeled after the 3D geometry classes in tf2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG -O3

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-tf2-2d//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
